Bug 854932 - RESTAPI: missing update impl at /api/disks/xxx
RESTAPI: missing update impl at /api/disks/xxx
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Tal Nisan
Raz Tamir
: Automation
: 1075140 (view as bug list)
Depends On: 1080097
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 06:30 EDT by Michael Pasternak
Modified: 2017-08-16 06:47 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-09-06 06:30:46 EDT
Description of problem:

update() implementation is missing
Comment 1 Michael Pasternak 2012-10-09 03:57:27 EDT
actual apli impl. is there, but it throws NotImplemenetedException.
Comment 2 Ori Liel 2012-10-09 06:17:23 EDT
IIRC It's missing because there is not backend support for updating a floating disk, I will verify this
Comment 17 Ori Liel 2012-10-15 09:58:26 EDT
patch posted upstream: 
   http://gerrit.ovirt.org/#/c/8531/

patch merged upstream:
   ce6edc2a2d6372f8d0070f8b148b3df17c047ea7

patch posted downstream: 
   https://gerrit.eng.lab.tlv.redhat.com/#/c/2634/

patch merged downstream: 
   dafff650d80edf9856b48fbbddfb2669b0de5ad3
Comment 18 Michael Pasternak 2012-10-15 10:03:41 EDT
ori, please remove rsdl signature
Comment 19 Ori Liel 2012-10-15 11:13:34 EDT
Added: 

patch posted upstream: 
  http://gerrit.ovirt.org/#/c/8568/

patch merged upstream: 
   95339d2a97dbb14ed76ec8912e494e4df4dea6dc

patch posted downstream:
   https://gerrit.eng.lab.tlv.redhat.com/#/c/2646/

patch merged downstream: 
   b5f3ddddf1b98e33f2a7280f8be8eaf75432a24f
Comment 28 Allon Mureinik 2014-08-31 10:23:34 EDT
*** Bug 1075140 has been marked as a duplicate of this bug. ***
Comment 31 Sandro Bonazzola 2016-05-02 06:00:35 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 32 Yaniv Lavi (Dary) 2016-05-23 09:16:46 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 33 Yaniv Lavi (Dary) 2016-05-23 09:20:36 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 34 Yaniv Kaul 2016-07-18 03:51:35 EDT
Is this going to make it to 4.0? (I assume not).
Comment 35 Yaniv Kaul 2017-02-12 04:38:42 EST
Tal - it's been open for several years. Is it going into 4.1? If not, please CLOSE-DEFERRED.
Comment 36 Tal Nisan 2017-02-12 08:44:17 EST
We are planning to have it for 4.2 once the RFE in bug 1080097 will be done REST addition can be done as well, marked this bug as blocked on this RFE

Note You need to log in before you can comment on or make changes to this bug.